qmf::engine::Console Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qmf::engine::Console Class Reference

`#include <qmf/engine/Console.h>`

List of all members.

## Public Member Functions
| Console (const ConsoleSettings &settings=ConsoleSettings())
| ~Console ()
bool | getEvent (ConsoleEvent &event) const
void | popEvent ()
void | addConnection (BrokerProxy &broker, void *context)
void | delConnection (BrokerProxy &broker)
uint32_t | packageCount () const
const char * | getPackageName (uint32_t idx) const
uint32_t | classCount (const char *packageName) const
const SchemaClassKey * | getClass (const char *packageName, uint32_t idx) const
ClassKind | getClassKind (const SchemaClassKey *key) const
const SchemaObjectClass * | getObjectClass (const SchemaClassKey *key) const
const SchemaEventClass * | getEventClass (const SchemaClassKey *key) const
void | bindPackage (const char *packageName)
void | bindClass (const SchemaClassKey *key)
void | bindClass (const char *packageName, const char *className)
void | bindEvent (const SchemaClassKey *key)
void | bindEvent (const char *packageName, const char *eventName)

## Constructor & Destructor Documentation

qmf::engine::Console::Console | ( | const ConsoleSettings & | settings = `ConsoleSettings()` | ) |

qmf::engine::Console::~Console | ( |  | ) |

## Member Function Documentation

void qmf::engine::Console::addConnection | ( | BrokerProxy & | broker,
|  | void * | context
| ) |  |

void qmf::engine::Console::bindClass | ( | const SchemaClassKey * | key | ) |

void qmf::engine::Console::bindClass | ( | const char * | packageName,
|  | const char * | className
| ) |  |

void qmf::engine::Console::bindEvent | ( | const SchemaClassKey * | key | ) |

void qmf::engine::Console::bindEvent | ( | const char * | packageName,
|  | const char * | eventName
| ) |  |

void qmf::engine::Console::bindPackage | ( | const char * | packageName | ) |

uint32_t qmf::engine::Console::classCount | ( | const char * | packageName | ) | const

void qmf::engine::Console::delConnection | ( | BrokerProxy & | broker | ) |

const SchemaClassKey* qmf::engine::Console::getClass | ( | const char * | packageName,
|  | uint32_t | idx
| ) |  | const

ClassKind qmf::engine::Console::getClassKind | ( | const SchemaClassKey * | key | ) | const

bool qmf::engine::Console::getEvent | ( | ConsoleEvent & | event | ) | const

const SchemaEventClass* qmf::engine::Console::getEventClass | ( | const SchemaClassKey * | key | ) | const

const SchemaObjectClass* qmf::engine::Console::getObjectClass | ( | const SchemaClassKey * | key | ) | const

const char* qmf::engine::Console::getPackageName | ( | uint32_t | idx | ) | const

uint32_t qmf::engine::Console::packageCount | ( |  | ) | const

void qmf::engine::Console::popEvent | ( |  | ) |

The documentation for this class was generated from the following file:

- qmf/engine/Console.h